<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_house advance.png">Housing Advance</h2>
<div class="row justify-content-center">
<div class="col-sm-6">
    <div class="card formFieldsBlock">
    <div class="col-sm-12">
        <form [formGroup]="housingForm" (ngSubmit)="onSubmit()" #formEl="ngForm">
        <div class="row">
            <div class="col-sm-12">
            <mat-form-field appearance="standard">
                <mat-label>Number of Months</mat-label>                
                <mat-select formControlName="noOfMonths">
                    <mat-option value="3">3</mat-option>
                    <mat-option value="6">6</mat-option>
                    <mat-option value="12">12</mat-option>
                  </mat-select>    
                <mat-error *ngIf="housingForm.controls['noOfMonths'].errors?.required &&
                housingForm.controls['noOfMonths'].touched">
                    Please Select Number of Months.
                </mat-error>
            </mat-form-field>
            </div>
            <div class="col-sm-12">
            <mat-form-field class="email-field" appearance="standard" >
                <mat-label>Reason</mat-label>            
                <textarea matInput maxlength="120" formControlName="reason"  required></textarea>
                <mat-error *ngIf="housingForm.controls['reason'].errors?.required &&
                housingForm.controls['reason'].touched">
                    Please Enter Reason.
                </mat-error>                  
            </mat-form-field>            
            </div>
        </div>
        <div class="button-grp">
            <button type="reset" mat-raised-button class="button button-secondary">Reset</button>
            <button mat-raised-button  [disabled]="!housingForm.valid" class="button button-primary"> Submit</button>
          </div> 
        </form>
    </div>
</div>
    </div>
</div>


